<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="subRelatorioDuplicatasPagasAcordo" pageWidth="650" pageHeight="842" columnWidth="638" leftMargin="6" rightMargin="6" topMargin="13" bottomMargin="13" uuid="655b5cfb-3616-47e4-b853-edeade73c597">
	<property name="ireport.zoom" value="1.5"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<parameter name="SUBREPORT_DIR" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["C:\\Desenv\\workspace\\nepalign\\src\\relatorios\\"]]></defaultValueExpression>
	</parameter>
	<parameter name="HABILITAR_DATA" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["S"]]></defaultValueExpression>
	</parameter>
	<parameter name="tituloRelatorio" class="java.lang.String"/>
	<parameter name="dataFinal" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="dataInicial" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="logo" class="java.lang.Object"/>
	<parameter name="empresaDescricao" class="java.lang.String"/>
	<parameter name="mostarTitulo" class="java.lang.String"/>
	<parameter name="totalJurosAcordo" class="java.lang.Double"/>
	<parameter name="totalDescontoAcordo" class="java.lang.Double"/>
	<parameter name="totalPagoAcordo" class="java.lang.Double"/>
	<parameter name="totalParcelaAcordo" class="java.lang.Double"/>
	<parameter name="mostarTotal" class="java.lang.String"/>
	<parameter name="opcao" class="java.lang.String"/>
	<queryString>
		<![CDATA[SELECT
@parcial :=(select sum(valorrecebido) from  movimentoparceladuplicata m where m.idDuplicataParcela = par.idDuplicataParcela and tipopagamento = 2),
par.*,par.valorParcela - @parcial as valor ,
par.valorPago - @parcial as recebido,
concat(cli.idCliente,'-',cli.nome),DATEDIFF(dataBaixa,dataVencimento),forma.descricao,dataBaixa
,usu.nome as usuario
 FROM nepalign.duplicataparcela par
INNER JOIN cliente cli on cli.idcliente = par.idcliente
left outer JOIN usuario usu on usu.idUsuario = par.idUsuario
INNER JOIN formapagamento forma on forma.idformapagamento = par.idformapagamento
where tipopagamento = 5
and situacao = 3
and forma.idformapagamento = 46
and dataBaixa >= '2014-01-24'
and dataBaixa <= '2014-01-24'
and DATEDIFF(dataBaixa,dataVencimento)>=2
and DATEDIFF(dataBaixa,dataVencimento)<=400
and dataBaixa <= '2014-01-24'
and DATEDIFF(dataBaixa,dataVencimento)>=2
and DATEDIFF(dataBaixa,dataVencimento)<=400]]>
	</queryString>
	<field name="@parcial :=(select sum(valorrecebido) from  movimentoparceladuplicata m where m.idDuplicataParcela = par.idDuplicataParcela and tipopagamento = 2)" class="java.lang.Double"/>
	<field name="idDuplicataParcela" class="java.lang.Integer">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="idDuplicata" class="java.lang.Integer">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="idEmpresaFisica" class="java.lang.Integer">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="idCliente" class="java.lang.Integer">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="idUsuario" class="java.lang.Integer">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="numeroDuplicata" class="java.lang.Long">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="numeroParcela" class="java.lang.Integer">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="dataVencimento" class="java.sql.Date">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="valorParcela" class="java.lang.Double">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="situacao" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="valorPago" class="java.lang.Double">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="dataBaixa" class="java.sql.Timestamp">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="tipoPagamento" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="dataVencimento02Acordado" class="java.sql.Date">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="idFormaPagamento" class="java.lang.Integer">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="idChequeRecebido" class="java.lang.Integer">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="acordo" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="idCobrador" class="java.lang.Integer">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="valorDesconto" class="java.lang.Double">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="jurosInformado" class="java.lang.Double">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="jurosOriginal" class="java.lang.Double">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="dataCobranca" class="java.sql.Timestamp">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="jurosPago" class="java.lang.Double">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="valorAPagarInformado" class="java.lang.Double">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="valorAPagarOriginal" class="java.lang.Double">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="valor" class="java.lang.Double">
		<fieldDescription><![CDATA[valor:Valor]]></fieldDescription>
	</field>
	<field name="recebido" class="java.lang.Double"/>
	<field name="concat(cli.idCliente,&apos;-&apos;,cli.nome)" class="java.lang.String"/>
	<field name="DATEDIFF(dataBaixa,dataVencimento)" class="java.lang.Long"/>
	<field name="descricao" class="java.lang.String">
		<fieldDescription><![CDATA[descricao:Descrição]]></fieldDescription>
	</field>
	<field name="usuario" class="java.lang.String"/>
	<title>
		<band height="75">
			<printWhenExpression><![CDATA[$P{mostarTitulo}.equals("S")]]></printWhenExpression>
			<staticText>
				<reportElement uuid="b555ab5d-4488-40b0-b7c3-e2ea1ca0595b" x="1" y="0" width="168" height="16"/>
				<textElement/>
				<text><![CDATA[LISTA DE RECEBIMENTO DO DIA]]></text>
			</staticText>
			<textField pattern="dd/MM/yyyy HH:mm:ss">
				<reportElement uuid="187be095-71bd-40cb-b649-0b8119a8339e" x="535" y="0" width="88" height="18"/>
				<textElement textAlignment="Right">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[new java.util.Date()]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement uuid="2be63339-5436-4122-8507-c4b6a0a38dcb" x="82" y="31" width="11" height="11"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[à]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="3a347101-8bca-4d5c-9cf7-a4ab79e6faed" x="1" y="31" width="32" height="11"/>
				<textElement verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[Período: ]]></text>
			</staticText>
			<line>
				<reportElement uuid="3c839699-3738-4ec4-b24f-b2c0007b74bc" x="0" y="62" width="624" height="1"/>
				<graphicElement>
					<pen lineWidth="2.0"/>
				</graphicElement>
			</line>
			<textField>
				<reportElement uuid="babc372b-35c6-44ed-851f-8770d45bbeb0" x="48" y="16" width="171" height="14">
					<printWhenExpression><![CDATA[$P{empresaDescricao}.equals("") == false]]></printWhenExpression>
				</reportElement>
				<textElement verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{empresaDescricao}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="ffaed166-31fe-4cc9-b219-560b3c4c4e78" x="94" y="31" width="67" height="11"/>
				<textElement verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{dataFinal}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement uuid="366b401d-f7ab-4f5a-ae61-032c3ef06ab9" x="1" y="16" width="45" height="14"/>
				<textElement verticalAlignment="Middle">
					<font size="8" isBold="false"/>
				</textElement>
				<text><![CDATA[Empresa(s):]]></text>
			</staticText>
			<textField>
				<reportElement uuid="94239910-9cbf-452e-a2eb-9791bb464d25" x="36" y="31" width="46" height="11"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{dataInicial}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="47cf2af8-9501-4921-850e-8e58f5beb7b1" x="1" y="45" width="272" height="11"/>
				<textElement>
					<font size="8" isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{opcao}]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<columnHeader>
		<band height="12">
			<printWhenExpression><![CDATA[$P{mostarTotal}.equals("S")]]></printWhenExpression>
			<line>
				<reportElement uuid="d98573ca-260c-4efe-bb2d-6b4f55ae130d" x="1" y="11" width="622" height="1"/>
				<graphicElement>
					<pen lineColor="#999999"/>
				</graphicElement>
			</line>
			<staticText>
				<reportElement uuid="704e9f5d-927f-4e7e-b2d1-69b9abd9d2a8" positionType="Float" x="41" y="0" width="100" height="11"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<text><![CDATA[CLIENTE]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="f7f4e119-dc3b-4b23-a9cf-6076270d987c" positionType="Float" x="515" y="0" width="31" height="11"/>
				<textElement textAlignment="Right">
					<font size="8"/>
				</textElement>
				<text><![CDATA[DESC]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="da76759b-67a4-4c20-9eee-701241c6e810" positionType="Float" x="472" y="0" width="38" height="11"/>
				<textElement textAlignment="Right">
					<font size="8"/>
				</textElement>
				<text><![CDATA[ACRES]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="750c7f15-00a5-42b1-aa1d-933d3b424c3a" positionType="Float" x="591" y="0" width="32" height="11"/>
				<textElement textAlignment="Right">
					<font size="8"/>
				</textElement>
				<text><![CDATA[ATR]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="7c1b3722-1b00-4677-a637-cffe1c225dce" positionType="Float" x="302" y="0" width="52" height="11"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<text><![CDATA[DATA/HORA]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="f3756c33-52e5-4183-8521-8714d98ff355" x="370" y="0" width="53" height="11"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<text><![CDATA[USUÁRIO]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="8483c629-c76e-4e08-9342-47e6d5af046c" positionType="Float" x="1" y="0" width="40" height="11"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<text><![CDATA[FATURA]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="5bfffd00-c792-47f6-ad96-2a76244eae3f" positionType="Float" x="189" y="0" width="84" height="11"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<text><![CDATA[FORMA PGTO]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="ae4e1f17-c60e-46e6-a05c-04e90238eca7" positionType="Float" x="552" y="0" width="40" height="11"/>
				<textElement textAlignment="Right">
					<font size="8"/>
				</textElement>
				<text><![CDATA[V.PAGO]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="edd02c48-9cf4-4143-aacb-61ece6648e9f" positionType="Float" x="428" y="0" width="40" height="11"/>
				<textElement textAlignment="Right">
					<font size="8"/>
				</textElement>
				<text><![CDATA[V.DUPL.]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="11" splitType="Stretch">
			<textField isBlankWhenNull="true">
				<reportElement uuid="0caa90de-e751-43a3-938c-6f66953f56b2" x="41" y="0" width="148" height="11"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{concat(cli.idCliente,'-',cli.nome)}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement uuid="fdcbca14-3ed6-4cde-8b0e-2396e46a519c" x="189" y="0" width="101" height="11"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{descricao}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00" isBlankWhenNull="true">
				<reportElement uuid="9391b675-6d61-4b1d-991b-38d1ad8107fb" x="428" y="0" width="39" height="11"/>
				<textElement textAlignment="Right">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{valor}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00" isBlankWhenNull="true">
				<reportElement uuid="abbe50fc-cdc9-4d8f-bee0-4f05c56bd316" x="552" y="0" width="40" height="11"/>
				<textElement textAlignment="Right">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{recebido}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00" isBlankWhenNull="true">
				<reportElement uuid="1f840017-da0b-4091-92c8-5823cc7907f2" x="472" y="0" width="38" height="11"/>
				<textElement textAlignment="Right">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{jurosPago}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement uuid="c40991d8-284e-4db1-bb7b-b6f490744280" x="594" y="0" width="29" height="11"/>
				<textElement textAlignment="Right">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{DATEDIFF(dataBaixa,dataVencimento)}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00" isBlankWhenNull="true">
				<reportElement uuid="840932a2-3d1d-4c68-922f-1eb6c85e1d23" x="515" y="0" width="31" height="11"/>
				<textElement textAlignment="Right">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{valorDesconto}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement uuid="7f2daa19-a7e5-45a0-b6e9-d7ae599f1ce8" x="1" y="0" width="40" height="11"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{numeroDuplicata}+"/"+$F{numeroParcela}]]></textFieldExpression>
			</textField>
			<textField pattern="dd/MM/yyyy HH:mm:ss">
				<reportElement uuid="19e6dc78-94c3-4e0e-8cda-d8fb58fbfe9e" x="290" y="0" width="74" height="11"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{dataBaixa}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="26a5b8a8-5f64-4316-9b5a-2ab1c9b0005f" x="370" y="0" width="53" height="11"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{usuario}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<summary>
		<band height="13">
			<textField pattern="#,##0.00" isBlankWhenNull="true">
				<reportElement uuid="9d0cb96d-aaee-4e2a-86dc-a2757525c8b7" positionType="Float" x="472" y="2" width="38" height="11">
					<printWhenExpression><![CDATA[$P{mostarTotal}.equals("S")]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Right">
					<font size="8" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{totalJurosAcordo}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00" isBlankWhenNull="true">
				<reportElement uuid="cebd393b-7f5d-44ee-bb0e-1d87e049264a" positionType="Float" x="515" y="2" width="31" height="11">
					<printWhenExpression><![CDATA[$P{mostarTotal}.equals("S")]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Right">
					<font size="8" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{totalDescontoAcordo}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00" isBlankWhenNull="true">
				<reportElement uuid="a34f0ae3-f0d8-436f-b5e7-31850828a003" positionType="Float" x="552" y="2" width="40" height="11">
					<printWhenExpression><![CDATA[$P{mostarTotal}.equals("S")]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Right">
					<font size="8" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{totalPagoAcordo}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00" isBlankWhenNull="true">
				<reportElement uuid="6f60fad7-50e5-4105-b49a-699344dc3cd1" positionType="Float" x="428" y="2" width="39" height="11">
					<printWhenExpression><![CDATA[$P{mostarTotal}.equals("S")]]></printWhenExpression>
				</reportElement>
				<textElement textAlignment="Right">
					<font size="8" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{totalParcelaAcordo}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement uuid="56b5d280-a48f-49ba-b628-1ba8cfa9d562" positionType="Float" x="393" y="2" width="31" height="11">
					<printWhenExpression><![CDATA[$P{mostarTotal}.equals("S")]]></printWhenExpression>
				</reportElement>
				<textElement>
					<font size="8" isBold="true"/>
				</textElement>
				<text><![CDATA[TOTAL:]]></text>
			</staticText>
		</band>
	</summary>
</jasperReport>
